﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RSTILL' AND COLUMN_NAME = 'ZRED' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RSTILL_ZRED')
BEGIN 
    PRINT 'Creating default constraint DF_RSTILL_ZRED on table RSTILL' 
    ALTER TABLE [dbo].[RSTILL]
    ADD CONSTRAINT [DF_RSTILL_ZRED] DEFAULT ((0)) FOR [ZRED]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RSTILL' AND COLUMN_NAME = 'IEVT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RSTILL_IEVT')
BEGIN 
    PRINT 'Creating default constraint DF_RSTILL_IEVT on table RSTILL' 
    ALTER TABLE [dbo].[RSTILL]
    ADD CONSTRAINT [DF_RSTILL_IEVT] DEFAULT ((0)) FOR [IEVT]
END 
GO

